/*
 * log_state.h
 *
 *  Created on: 25-01-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef LOG_STATE_H_
#define LOG_STATE_H_

#include "tdefs.h"

struct log_state_logic
{
	u8 *out;
	u8 out_bit_mask;
	u8 *in;
	u8 in_bit_mask;
};

struct log_state_io
{
	u32 out;
}__attribute__((__packed__));

struct log_state_params
{
	u32 net_number;
}__attribute__((__packed__));

struct log_state_args
{
	struct log_state_io io;
	struct log_state_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int log_state_initlog(void *arguments, void *logic);
extern void log_state(void *arguments, void *logic);

#endif /* LOG_STATE_H_ */
